Name:           xcb-proto
Version:        1.17.0
Release:        %mkrel 2
Summary:        XCB protocol descriptions
Group:          Development/X11
License:        X11-distribute-modifications-variant
URL:            https://xcb.freedesktop.org/
Source0:        https://xorg.freedesktop.org/archive/individual/proto/%{name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libxml2-utils
BuildRequires:  pkgconfig(python3)

Provides:       %{name}-devel = %{version}-%{release}

# now splitted into a separate pkg
Conflicts:      x11-proto-devel < 2023.2-4

%description
XCB is a project to enable efficient language bindings to
the X11 protocol.
This package contains the protocol descriptions themselves.
Language bindings use these protocol descriptions to generate
code for marshalling the protocol.


%prep
%autosetup -p1


%build
autoreconf -fiv
# Bit of a hack to get the pc file in /usr/share, so we can be noarch.
%configure --libdir=%{_datadir}
%make_build


%install
%make_install


%check
%__make check


%files
%license COPYING
%doc NEWS README.md TODO doc/xml-xcb.txt
%{_datadir}/pkgconfig/xcb-proto.pc
%dir %{_datadir}/xcb/
%{_datadir}/xcb/*.xsd
%{_datadir}/xcb/*.xml
# xcbgen stuff
%{python3_sitelib}/xcbgen



%changelog
* Sun Mar 09 2025 daviddavid <daviddavid> 1.17.0-2.mga10
+ Revision: 2162174
- rebuild for python 3.13

* Wed Apr 17 2024 daviddavid <daviddavid> 1.17.0-1.mga10
+ Revision: 2058376
- new version: 1.17.0

* Wed Dec 27 2023 daviddavid <daviddavid> 1.16.0-2.mga10
+ Revision: 2022038
- rebuild for py3.12

* Tue Oct 17 2023 daviddavid <daviddavid> 1.16.0-1.mga10
+ Revision: 1998213
- initial package xcb-proto (now splitted in its own pkg)

